kmyfirewall(1)

NAME
kmyfirewall - KDE iptables front-end to easily create a "Personal Firewall"

SYNOPSIS
kmyfirewall [Qt-options] [KDE-options] [URL]

DESCRIPTION
This manual page documents briefly the kmyfirewall KDE Application. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

KMyFirewall attempts to make it easier to setup iptables based firewalls on Linux systems. It will be the right tool if you like to have a so called "Personal Firewall" running on your Linux box, but don't have the time and/or the interest to spend hours in front of the iptables manual just to setup a Firewall that keeps the "bad" people out

OPTIONS

  General Options
--help Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

--display displayname
    Use the X-server display displayname.

--session sessionId
    Restore the application for the given sessionId.

--cmap
    Causes the application to install a private color map on an 8-bit display.

--ncols count
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification.

--nograb
    tells Qt to never grab the mouse or the keyboard.

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override.

--sync
    switches to synchronous mode for debugging.

--fn, --font fontname
    defines the application font.

--bg, --background color
    sets the default background color and an application palette (light and dark shades are calculated).

--fg, --foreground color
    sets the default foreground color.

--btn,--button color
    sets the default button color.

--name name
    sets the application name.

--title title
    sets the application title (caption).

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display.

--inputstyle inputstyle
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespotandroot.

--im XIM-server
    set XIM server.

--noxim
    disable XIM.

--reverse
    mirrors the whole layout of widgets.

  KDE options:

--caption caption
    Use caption as name in the titlebar.

--icon icon
    Use icon as the application icon.

--miniicon icon
    Use icon as the icon in the titlebar.

--config filename
    Use alternative configuration file.

--dcopserver server
    Use the DCOP Server specified by server.

--nocrashhandler
    Disable crash handler, to get core dumps.

--waitforwm
    Waits for a WM_NET compatible windowmanager.

--style style
    sets the application GUI style.

--geometry geometry
    sets the client geometry of the main widget.

AUTHOR
KMyFirewall was written by Christian Hubinger <e9806056@student.tuwien.ac.at>.
This manual page was prepared by Alberto Gonzalez Iniesta <agi@inittab.org> for the Debian GNU/Linux system (but may be used by others).

SEE ALSO
If the khelpcenter program is properly installed at your site, the command

    khelpcenter help:/kmyfirewall

should give you access to the complete manual.

Alternatively the manual can be browsed in konqueror giving it the URL help:/kmyfirewall